Create return orders
const url = 'https://order.shopgate.io/v1/merchants/example/returnOrders';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"returnOrders":[{"externalCode":"000000274","salesOrderNumber":"1293747","type":"return","customerId":"55c98b8e-1100-497c-8df6-4b4f0353ab2a","externalCustomerNumber":"C1756793","status":"draft","expedited":true,"localeCode":"example","currencyCode":"EUR","notes":"Please wrap each item individually.","specialInstructions":"House behind the dumpster","data":{},"primaryBillToAddressSequenceIndex":1,"primaryShipToAddressSequenceIndex":1,"addressSequences":[{"type":"pickup","customerContactId":"0b475af4-7ed9-4065-b4bb-7d76c537d820","firstName":"Max","middleName":"René","lastName":"Muster","company":"Shopgate GmbH","address1":"Schloßstr. 10","address2":"Haus B","address3":"erste Etage","address4":null,"city":"Butzbach","region":"HE","postalCode":"\"35510\"","country":"DE","phone":"+49 12345 6789 001","fax":"+49 12345 6789 002","mobile":"+49 12345 6789 003","emailAddress":"max.muster@shopgate.com"}],"subTotal":0,"discountAmount":0,"promoAmount":0,"taxAmount":0,"tax2Amount":0,"shippingSubTotal":1,"shippingDiscountAmount":1,"shippingPromoAmount":1,"shippingTotal":1,"taxExempt":true,"taxSummary":[{"code":"default_19","name":"19%","amount":1.5}],"total":1,"submitDate":"2019-09-02T09:02:57.733Z","completeDate":"2019-09-03T15:02:57.733Z","dropOffType":"inPerson","dropOffLocationCode":"DERetail001","os":"ios","imported":false,"lineItems":[{"code":"R386","salesOrderLineItemCode":"386","status":"open","quantity":5,"returnReason":{"code":"example"},"productCondition":{"code":"example"},"product":{"code":"24-MB02","name":"Fusion Backpack","image":"https://myawesomeshop.com/images/img1.jpg","price":59.99,"salePrice":39.99,"currencyCode":"EUR","identifiers":{"mfgPartNum":"100-440-0.750-3434-A","upc":"\"72527273070\"","ean":"\"401234567890\"","isbn":"978-3-16-148410-0","sku":"UGG-BB-PUR-06","distiPartNum":"\"235454356363\""},"options":[{"code":"color","name":"Color","value":{"code":"red","name":"Red"}}]},"currencyCode":"EUR","price":1,"shippingAmount":1,"taxAmount":1,"tax2Amount":1,"taxExempt":true,"unitPromoAmount":0,"unitDiscountAmount":0,"discountAmount":0,"promoAmount":0,"overrideAmount":1,"extendedPrice":72,"note":"example"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/returnOrders \ --header 'Content-Type: application/json' \ --data '{ "returnOrders": [ { "externalCode": "000000274", "salesOrderNumber": "1293747", "type": "return", "customerId": "55c98b8e-1100-497c-8df6-4b4f0353ab2a", "externalCustomerNumber": "C1756793", "status": "draft", "expedited": true, "localeCode": "example", "currencyCode": "EUR", "notes": "Please wrap each item individually.", "specialInstructions": "House behind the dumpster", "data": {}, "primaryBillToAddressSequenceIndex": 1, "primaryShipToAddressSequenceIndex": 1, "addressSequences": [ { "type": "pickup", "customerContactId": "0b475af4-7ed9-4065-b4bb-7d76c537d820", "firstName": "Max", "middleName": "René", "lastName": "Muster", "company": "Shopgate GmbH", "address1": "Schloßstr. 10", "address2": "Haus B", "address3": "erste Etage", "address4": null, "city": "Butzbach", "region": "HE", "postalCode": "\"35510\"", "country": "DE", "phone": "+49 12345 6789 001", "fax": "+49 12345 6789 002", "mobile": "+49 12345 6789 003", "emailAddress": "max.muster@shopgate.com" } ], "subTotal": 0, "discountAmount": 0, "promoAmount": 0, "taxAmount": 0, "tax2Amount": 0, "shippingSubTotal": 1, "shippingDiscountAmount": 1, "shippingPromoAmount": 1, "shippingTotal": 1, "taxExempt": true, "taxSummary": [ { "code": "default_19", "name": "19%", "amount": 1.5 } ], "total": 1, "submitDate": "2019-09-02T09:02:57.733Z", "completeDate": "2019-09-03T15:02:57.733Z", "dropOffType": "inPerson", "dropOffLocationCode": "DERetail001", "os": "ios", "imported": false, "lineItems": [ { "code": "R386", "salesOrderLineItemCode": "386", "status": "open", "quantity": 5, "returnReason": { "code": "example" }, "productCondition": { "code": "example" }, "product": { "code": "24-MB02", "name": "Fusion Backpack", "image": "https://myawesomeshop.com/images/img1.jpg", "price": 59.99, "salePrice": 39.99, "currencyCode": "EUR", "identifiers": { "mfgPartNum": "100-440-0.750-3434-A", "upc": "\"72527273070\"", "ean": "\"401234567890\"", "isbn": "978-3-16-148410-0", "sku": "UGG-BB-PUR-06", "distiPartNum": "\"235454356363\"" }, "options": [ { "code": "color", "name": "Color", "value": { "code": "red", "name": "Red" } } ] }, "currencyCode": "EUR", "price": 1, "shippingAmount": 1, "taxAmount": 1, "tax2Amount": 1, "taxExempt": true, "unitPromoAmount": 0, "unitDiscountAmount": 0, "discountAmount": 0, "promoAmount": 0, "overrideAmount": 1, "extendedPrice": 72, "note": "example" } ] } ] }'Create return orders
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Unique merchant code which represents the unique “merchant account”.
Request Body
Section titled “Request Body”object
object
External order id
Example
000000274Example
1293747Customer identifier
Example
55c98b8e-1100-497c-8df6-4b4f0353ab2aA customer number / reference to an external system.
Example
C1756793Example
EURCustomer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.
Example
Please wrap each item individually.Special instructions of the order. It can contain special shipping or fulfillment instructions
Example
House behind the dumpsterobject
object
Example
0b475af4-7ed9-4065-b4bb-7d76c537d820Example
MaxExample
RenéExample
MusterExample
Shopgate GmbHThis field is required if used as shipping address for direct ship
Example
Schloßstr. 10Example
Haus BExample
erste EtageExample
nullThis field is required if used as shipping address for direct ship
Example
ButzbachExample
HEThis field is required if used as shipping address for direct ship
Example
"35510"ISO 3166 ALPHA-2 / ISO 3166-2 Country Code. This field is required if used as shipping address for direct ship
Example
DEValidated according to country code
Example
+49 12345 6789 001Validated according to country code
Example
+49 12345 6789 002Validated according to country code
Example
+49 12345 6789 003Example
max.muster@shopgate.comTotal amount of all applied promotions with coupons on order level. Without line item level promotions, since these are already included in the order subtotal.
Example
0Total amount of all applied promotions on order level. Without line item level promotions, since these are already included in the order subtotal.
Example
-5Tax amount of the first tax group (e.g. for german taxes this is an absolut number based on either 7% or 19% of the order total; the order total is 10.00 EUR so the taxAmount is 10.00 EUR * 0.19 = 1.9 EUR)
Tax amount of the second tax group (can be used for additional taxes like for example US state taxes)
object
Example
default_19Example
19%Example
1.5Date when the order was submitted by the customer
Example
2019-09-02T09:02:57.733ZDate when the order status was changed to completed
Example
2019-09-03T15:02:57.733ZLocation where the order is returned
Example
DERetail001Operation system of the source device
Example
iosIndicates if the order has been imported from an external system. Enabling this flag means that there will be no further processes triggered by this order like emitting events, calculating properties like prices, or starting payment transactions.
Example
falseobject
Example
R386Example
386Example
inProgressExample
5object
object
object
Product code
Example
24-MB02Product name
Example
Fusion BackpackMain image url of the product
Example
https://myawesomeshop.com/images/img1.jpgMain price of the product
Example
59.99Sale price of the product
Example
39.99Example
EURobject
Example
100-440-0.750-3434-AExample
"72527273070"Example
"401234567890"Example
978-3-16-148410-0Example
UGG-BB-PUR-06Example
"235454356363"object
Example
colorExample
Colorobject
Example
redExample
RedExample
EURAmount of all applied promotions for a single unit (single quantity).
Example
-4Amount of all applied discounts (promotions with coupons) for a single unit (single quantity).
Example
-3Total amount of all applied promotions with coupons for the line item. (Formula: lineItem.unitDiscountAmount * lineItem.quantity)
Example
-6Total amount of all applied promotions for the line item. (Formula: lineItem.unitPromoAmount * lineItem.quantity)
Example
-8The extended Price is the final price of the line item, including all discounts & promotions that apply to this line item, and also already multiplied with the quantity. Formula: (product.price or product.salePrice if not empty) * quantity + promoAmount + discountAmount. Example: A product original price is 60€ (product.price), but it is on sale for 40€ (product.salePrice). Ordered quantity is 2, there is no discount but there is a promotion that applies to this product and gives 10% additional discount (unitPromoAmount = 4€, promoAmount = 8€). The extended price of this line item should be (40€ * 2) + (-8€) = 72€.
Example
72Responses
Section titled “Responses”object
object
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "message": "example", "subentityPath": [ "example" ] } ]}Order not found
default
Section titled “default”Unexpected error
object
Machine readable error code
Human readable error code
Example
{ "code": "internal.database", "message": "Internal Database Error"}
